version: "3"

services:
  nginx:
    container_name: nginx
    build:
      context: .
      target: nginx
    ports:
      - "127.0.0.1:8080:80"
    volumes:
      - ./:/var/www/html
    depends_on:
      - php
      - mysql
#
  php:
    container_name: php
    build:
      context: .
      target: php
    volumes:
      - ./:/var/www/html
    depends_on:
      - mysql

  mysql:
    container_name: mysql
    image: mysql:8.0
    environment:
      MYSQL_ROOT_PASSWORD: ${DATABASE_ROOT_PASSWORD}
      MYSQL_USER: ${DATABASE_USER}
      MYSQL_PASSWORD: ${DATABASE_PASSWORD}
      MYSQL_DATABASE: ${DATABASE_NAME}
    ports:
      - '127.0.0.1:4306:3306'
    volumes:
      - db-data:/var/lib/mysql

volumes:
  db-data: { }

